Package org.opensaml.xmlsec

# Interface EncryptionParametersResolver

All Superinterfaces:
  `Resolver<EncryptionParameters,CriteriaSet>`

All Known Implementing Classes:
  `BasicEncryptionParametersResolver`, `SAMLMetadataEncryptionParametersResolver`, `StaticEncryptionParametersResolver`

public interface EncryptionParametersResolver extends Resolver<EncryptionParameters,CriteriaSet>
An interface for components which resolve `EncryptionParameters` based on a `CriteriaSet`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`